Skip to main content
`Ctrl`+`K`

# TSRHSJacobianTest

Compares the multiply routine provided to the `MATSHELL` with differencing on the `TS` given RHS function.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSRHSJacobianTest(TS ts, PetscBool *flg)

Logically Collective

## Input Parameter

- ts - the time stepping routine

## Output Parameter

- flg - `PETSC_TRUE` if the multiply is likely correct

## Options Database Key

- -ts_rhs_jacobian_test_mult - mat_shell_test_mult_view - run the test at each timestep of the integrator

## Note

This only works for problems defined using `TSSetRHSFunction()` and Jacobian NOT `TSSetIFunction()` and Jacobian

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `Mat`, `MATSHELL`, `MatCreateShell()`, `MatShellGetContext()`, `MatShellGetOperation()`, `MatShellTestMultTranspose()`, `TSRHSJacobianTestTranspose()`

## Level

advanced

## Location

src/ts/interface/ts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages